Researcher Pithgon:
Members of the Platinum tribe resemble wolves. They may also appear somewhat similar to the Ol Mahums, but they worship the goddess of light. It is their sacred duty to kill any invaders who enter the Tower of Insolence. Their devotion can be quite deadly and they should be avoided when at all possible...
They are led by winged creatures known as angels... The Mystics would say that they are "spirits serving the goddess in this dimension." There are two types of angels: seal angels and guardian angels.
Return